#	rooftop
#	scripts for level 12 by wu, modded by Tosh :)
#	
#	LEGEND
#
#	character naming convention: X_Yx
#	where X = area letter (A=first area, B=second area, etc.)
#	      Y = character type (N=ninja, T=tanker, S=striker, R=red, etc.)
#		x = characer number, usually same as character's initial patrol id
#
#	trigger volume scripts: t##, where ## refers to trigger volume id
#	
#	CONTENTS
#	
#	1.variables defined
#	1b.music scripts
#	2.start and objectives scripts
#	3.save game scripts
#	4.cut scene scripts
#	5.console scripts
#	6.trigger volume scripts

###############################
#	variables defined 	#
###############################

var int my_save_point=0;
var int ninja1=0;
var int ninja2=0;
var int strike1=0;
var int strike1b=0;
var int strike2=0;
var int strike3=0;
#var int elv1_check=0;
var int invading_counter=3;
var int done_with_intro_cutscene = 0;
var int go_hide;
var int go_hide2;

#My variables
var int kills = 0;
var int misses = 0;
#var int rand = 0;
var int missed = 0;
var int kill_off_ais = 0;
var int can_lose = 0;

###############################
#        Duck Controls        #
###############################
func void spawn_mode1(void)
{
	#Spawns at 7,8,9,10,11
	#var int rand = 0;
	#var int randspawn = 10;
	#rand = random(5);
	#dmsg "Duck spawned."
	chr_changeteam A_T6 Konoko
	ai2_spawn A_C5
	ai2_makeignoreplayer A_C5 1
	chr_unkillable A_C5 1
	chr_inv_reset A_C5
	chr_teleport A_C5 8
	ai2_setmovementmode A_C5 run
	ai2_attack A_C5 A_T6
	missed = 0
	fork duck1
}

func void duck1(void)
{
	if(kills ne 20)
	{
	chr_wait_health A_C5 1
	if(kill_off_ais eq 0)
	{
    if(missed eq 0)
    {
	#chr_unkillable A_C5 0
	#ai2_kill A_C5
	#Until I figure out how to destroy corpses :|
	#chr_delete A_C5
	#trigvolume_corpse trigger_volume_03
	kills = kills + 1
	echo_kills
    }
	chr_full_health A_C5
	chr_full_health A_T6
	ai2_forget A_C5
	sleep 2
	chr_teleport A_C5 1
	sleep 10
	sleep 100
	spawn_mode1
	}
	}
}

func void spawn_mode4(void)
{
	#Spawns at 7,8,9,10,11
	ai2_spawn A_C5
	chr_unkillable A_C5 1
	chr_inv_reset A_C5
	chr_teleport A_C5 8
	ai2_spawn E_C62
	ai2_makeignoreplayer E_C62 1
	chr_changeteam E_C62 Konoko
	chr_unkillable E_C62 1
	chr_inv_reset E_C62
	chr_teleport E_C62 10
	ai2_setmovementmode E_C62 run
	ai2_attack A_C5 E_C62
	fork duck2
	fork duck3
	#You must kill them in one shot or else
}


func void duck2(void)
{
	chr_wait_health A_C5 1
	if(kill_off_ais eq 0)
	{
	kills = kills + 1
	dmsg "Killed enemy one"
	chr_delete A_C5
	check_win4
	}
}

func void duck3(void)
{
	chr_wait_health E_C62 1
	if(kill_off_ais eq 0)
	{
	kills = kills + 1
	dmsg "Killed enemy two"
	chr_delete E_C62
	check_win4
	}
}

func void re_heal(void)
{
	chr_full_health A_C5
	chr_full_health E_C62
	sleep 10
	fork re_heal
}

func void check_win4(void)
{
	if(kills eq 2)
	{
		chr_delete IntroNinja
		dmsg "You win!"
		confirm_replay
	}
}

#Mode 5 special functions
#Spawns at 7,8,9,10

var int dchealth = 17;
func void spawn5_ducks(void)
{
	ai2_spawn A_C5
	ai2_makeignoreplayer A_C5 1
	chr_unkillable A_C5 1
	chr_inv_reset A_C5
	chr_set_health(A_C5,dchealth)
	chr_teleport A_C5 8
	ai2_setmovementmode A_C5 run
	fork duck4

	ai2_spawn E_C62
	ai2_makeignoreplayer E_C62 1
	chr_unkillable E_C62 1
	chr_inv_reset E_C62
	chr_set_health(E_C62,dchealth)
	chr_teleport E_C62 7
	ai2_setmovementmode E_C62 run
	fork duck5

	ai2_spawn D_C19
	ai2_makeignoreplayer D_C19 1
	chr_unkillable D_C19 1
	chr_inv_reset D_C19
	chr_set_health(D_C19,dchealth)
	chr_teleport D_C19 9
	ai2_setmovementmode D_C19 run
	fork duck6

	ai2_spawn D_C60
	ai2_makeignoreplayer D_C60 1
	chr_unkillable D_C60 1
	chr_inv_reset D_C60
	chr_set_health(D_C60,dchealth)
	chr_teleport D_C60 10
	ai2_setmovementmode D_C60 run
	fork duck7
}

func void duck4(void)
{
	chr_wait_health A_C5 1
	if(kill_off_ais eq 0)
	{
		kills = kills + 1
		echo_kills
		chr_set_health(A_C5,dchealth)
		chr_teleport A_C5 1
		sleep 100
		chr_teleport A_C5 8
		ai2_makeignoreplayer A_C5 1
		fork duck4
	}
}

func void duck5(void)
{
	chr_wait_health E_C62 1
	if(kill_off_ais eq 0)
	{
		kills = kills + 1
		echo_kills
		chr_set_health(E_C62,dchealth)
		chr_teleport E_C62 1
		sleep 100
		chr_teleport E_C62 8
		ai2_makeignoreplayer E_C62 1
		fork duck5
	}
}

func void duck6(void)
{
	chr_wait_health D_C19 1
	if(kill_off_ais eq 0)
	{
		kills = kills + 1
		echo_kills
		chr_set_health(D_C19,dchealth)
		chr_teleport D_C19 1
		sleep 100
		chr_teleport D_C19 8
		ai2_makeignoreplayer D_C19 1
		fork duck6
	}
}

func void duck7(void)
{
	chr_wait_health D_C60 1
	if(kill_off_ais eq 0)
	{
		kills = kills + 1
		echo_kills
		chr_set_health(D_C60,dchealth)
		chr_teleport D_C60 1
		sleep 100
		chr_teleport D_C60 8
		ai2_makeignoreplayer D_C60 1
		fork duck7
	}
}


func void spawn5_civis(void)
{
	ai2_spawn A_T6
	chr_changeteam A_T6 Konoko
	ai2_makeignoreplayer A_T6 1
	chr_unkillable A_T6 1
	chr_inv_reset A_T6
	chr_set_health(A_T6,dchealth)
	chr_teleport A_T6 10
	ai2_setmovementmode A_T6 run
	fork civi1

	ai2_spawn B_T13
	chr_changeteam B_T13 Konoko
	ai2_makeignoreplayer B_T13 1
	chr_unkillable B_T13 1
	chr_inv_reset B_T13
	chr_set_health(B_T13,dchealth)
	chr_teleport B_T13 8
	ai2_setmovementmode B_T13 run
	fork civi2

	ai2_spawn A_T4
	chr_changeteam A_T4 Konoko
	ai2_makeignoreplayer A_T4 1
	chr_unkillable A_T4 1
	chr_inv_reset A_T4
	chr_set_health(A_T4,dchealth)
	chr_teleport A_T4 9
	ai2_setmovementmode A_T4 run
	fork civi3

	ai2_spawn C_T16
	chr_changeteam C_T16 Konoko
	ai2_makeignoreplayer C_T16 1
	chr_unkillable C_T16 1
	chr_inv_reset C_T16
	chr_set_health(C_T16,dchealth)
	chr_teleport C_T16 7
	ai2_setmovementmode C_T16 run
	fork civi4
}

func void civi1(void)
{
	chr_wait_health A_T6 1
	if(kill_off_ais eq 0)
	{
		misses = misses + 1
		echo_misses
		chr_set_health(A_T6,dchealth)
		chr_teleport A_T6 1
		sleep 100
		chr_teleport A_T6 10
		ai2_makeignoreplayer A_T6 1
		fork civi1
	}
}

func void civi2(void)
{
	chr_wait_health B_T13 1
	if(kill_off_ais eq 0)
	{
		misses = misses + 1
		echo_misses
		chr_set_health(B_T13,dchealth)
		chr_teleport B_T13 1
		sleep 100
		chr_teleport B_T13 11
		ai2_makeignoreplayer B_T13 1
		fork civi2
	}
}

func void civi3(void)
{
	chr_wait_health A_T4 1
	if(kill_off_ais eq 0)
	{
		misses = misses + 1
		echo_misses
		chr_set_health(A_T4,dchealth)
		chr_teleport A_T4 1
		sleep 100
		chr_teleport A_T4 9
		ai2_makeignoreplayer A_T4 1
		fork civi3
	}
}

func void civi4(void)
{
	chr_wait_health C_T16 1
	if(kill_off_ais eq 0)
	{
		misses = misses + 1
		echo_misses
		chr_set_health(C_T16,dchealth)
		chr_teleport C_T16 1
		sleep 100
		chr_teleport C_T16 7
		ai2_makeignoreplayer C_T16 1
		fork civi4
	}
}

func void heal_all(void)
{
	chr_set_health(C_T16,dchealth)
	chr_set_health(A_T4,dchealth)
	chr_set_health(B_T13,dchealth)
	chr_set_health(A_T6,dchealth)
	chr_set_health(A_C5,dchealth)
	chr_set_health(E_C62,dchealth)
	chr_set_health(D_C19,dchealth)
	chr_set_health(D_C60,dchealth)
	ai2_makeignoreplayer C_T16 1
	ai2_makeignoreplayer A_T4 1
	ai2_makeignoreplayer B_T13 1
	ai2_makeignoreplayer A_T6 1
	ai2_makeignoreplayer A_C5 1
	ai2_makeignoreplayer E_C62 1
	ai2_makeignoreplayer D_C19 1
	ai2_makeignoreplayer D_C60 1
	sleep 6
	fork heal_all
}

func void losebytimer(void)
{
	timer_stop
	dmsg "You lose."
	ai2_allpassive 1
	confirm_replay
}

###############################
#       Other Controls        #
###############################
func void nojumping(void)
{
	chr_wait_animtype 0 jump
	sleep 10
	dmsg "You are not allowed to jump!"
	sleep 10
	chr_teleport 0 12
	fork nojumping
}

func void echo_kills(void)
{
	if(kills eq 1)
	{
		dmsg "Killed 1 duck"
	}
	if(kills eq 2)
	{
		dmsg "Killed 2 ducks"
	}
	if(kills eq 3)
	{
		dmsg "Killed 3 ducks"
	}
	if(kills eq 4)
	{
		dmsg "Killed 4 ducks"
	}
	if(kills eq 5)
	{
		dmsg "Killed 5 ducks"
	}
	if(kills eq 6)
	{
		dmsg "Killed 6 ducks"
	}
	if(kills eq 7)
	{
		dmsg "Killed 7 ducks"
	}
	if(kills eq 8)
	{
		dmsg "Killed 8 ducks"
	}
	if(kills eq 9)
	{
		dmsg "Killed 9 ducks"
	}
	if(kills eq 10)
	{
		dmsg "Killed 10 ducks"
	}
	if(kills eq 11)
	{
		dmsg "Killed 11 ducks"
	}
	if(kills eq 12)
	{
		dmsg "Killed 12 ducks"
	}
	if(kills eq 13)
	{
		dmsg "Killed 13 ducks"
	}
	if(kills eq 14)
	{
		dmsg "Killed 14 ducks"
	}
	if(kills eq 15)
	{
		dmsg "Killed 15 ducks"
		if(my_save_point eq 4)
		{
			timer_stop
			dmsg "You win!"
			ai2_allpassive 1
			confirm_replay
		}
	}
	if(kills eq 16)
	{
		dmsg "Killed 16 ducks"
	}
	if(kills eq 17)
	{
		dmsg "Killed 17 ducks"
	}
	if(kills eq 18)
	{
		dmsg "Killed 18 ducks"
	}
	if(kills eq 19)
	{
		dmsg "Killed 19 ducks"
	}
	if(kills eq 20)
	{
		chr_unkillable A_C5 0
		chr_unkillable A_T6 0
		ai2_kill A_C5
		ai2_kill A_T6
		dmsg "Killed 20 ducks"
		dmsg "You win!"
		confirm_replay
	}
}

func void echo_misses(void)
{
	if(misses eq 1)
	{
		dmsg "Missed 1 duck"
		if(my_save_point eq 4)
		{
			timer_stop
			dmsg "You lose."
			ai2_allpassive 1
			confirm_replay
		}
	}
	if(misses eq 2)
	{
		dmsg "Missed 2 ducks"
	}
	if(misses eq 3)
	{
		dmsg "Missed 3 ducks"
	}
	if(misses eq 4)
	{
		dmsg "Missed 4 ducks"
	}
	if(misses eq 5)
	{
		dmsg "Missed 5 ducks"
	}
	if(misses eq 6)
	{
		dmsg "Missed 6 ducks"
	}
	if(misses eq 7)
	{
		dmsg "Missed 7 ducks"
	}
	if(misses eq 8)
	{
		dmsg "Missed 8 ducks"
	}
	if(misses eq 9)
	{
		dmsg "Missed 9 ducks"
	}
	if(misses eq 10)
	{
		chr_unkillable A_C5 0
		chr_unkillable A_T6 0
		ai2_kill A_C5
		ai2_kill A_T6
		dmsg "Missed 10 ducks"
		dmsg "You lose."
		confirm_replay
	}
}


func void miss_by_citi(void)
{
	if(kills ne 20)
	{
		chr_wait_health A_T6 1
		if(kill_off_ais eq 0)
		{
			missed = 1
			chr_set_health A_C5 1
			chr_full_health A_T6
			misses = misses + 1
			ai2_spawn A_T6
			chr_teleport A_T6 10
			echo_misses
		}
	}
	sleep 1
	fork miss_by_citi
}

func void citi_forget_loop(void)
{
	ai2_forget A_T6
	sleep 6
	fork citi_forget_loop
}

var int noammo=0;
func void die_on_no_ammo2(void)
{
	if(noammo eq 0)
	{
		noammo = 1
		dmsg "You lose!"
		can_lose = 0
		confirm_replay
	}
}

func void die_on_no_ammo(void)
{

	if(kills < 2)
	{
		var int empty = chr_has_empty_weapon(0);
		if(empty eq 1)
		{
			if(can_lose eq 1)
			{
				die_on_no_ammo2
			}
			if(can_lose eq 0)
			{
				can_lose = 1
				sleep 10
			}
		}
	}

	sleep 1
	fork die_on_no_ammo
}

var int confirmation;
var int no_re_forking=0;
func void confirm_replay(void)
{
	confirmation = 0;
	chr_inv_reset 0
	dmsg "Punch to restart, kick to fade out."
	fork restart_yes
	fork restart_no
}

func void restart_yes(void)
{
	chr_wait_animtype 0 punch
	if(confirmation eq 0)
	{
		chr_freeze 0
		ai2_takecontrol 0
		noammo = 0
		confirmation = 1
		reset_mechanics
		chr_inv_reset 0
		chr_full_health 0
		kill_off_ais = 1
		ai2_reset 0
		no_re_forking = 1
		ai2_allpassive 0
		sleep 50
		kills = 0
		misses = 0
		kill_off_ais = 0
		start
	}
}

func void restart_no(void)
{
	chr_wait_animtype 0 kick
	if(confirmation eq 0)
	{
		confirmation = 1
		fade_out 0 0 0 180
		sleep 300
	}
}

###############################
#	start and objectives	#
###############################
func void start(string ai_name)
{
	dprint start	
	
	particle el1_locklight01 do start
	door_lock 6

	my_save_point = save_point;
	done_with_intro_cutscene = 1;
	if(my_save_point ne 3)
	{
		chr_delete IntroNinja
	}
	chr_delete A_Sr9
	chr_delete A_N1
	chr_teleport 0 10
	chr_auto_aim_dist = 1
	ui_suppress_prompt = 1
	#chr_debug_characters = 1
	if (my_save_point eq 0)
	{
		chr_giveweapon 0 w8_mbo
		chr_givepowerup 0 ammo
		chr_givepowerup 0 ammo
		chr_givepowerup 0 ammo
		chr_givepowerup 0 ammo
		chr_givepowerup 0 ammo
		chr_givepowerup 0 ammo
		powerup_spawn ammo 12
		powerup_spawn ammo 12
		powerup_spawn ammo 12
		powerup_spawn ammo 12
		powerup_spawn ammo 12
		powerup_spawn ammo 12
		ai2_spawn A_T6
		chr_changeteam A_T6 Konoko
		chr_teleport A_T6 10
		chr_unkillable A_T6 1
		chr_weapon_immune A_T6
		ai2_noncombatant A_T6 0
		if(no_re_forking eq 0)
		{
			fork nojumping
			fork miss_by_citi
			fork citi_forget_loop
		}
		spawn_mode1
		chr_teleport 0 12
		dmsg "Begin Play - Mode 1"
		dmsg "Save the Innocent (Tanker). Innocent invulnerable to weapons."
		dmsg "Weapon: Mercury Bow"
		dmsg "Difficulty: Easy"
		sleep 2
	}

	if (my_save_point eq 1)
	{
		chr_giveweapon 0 w8_mbo
		chr_givepowerup 0 ammo
		chr_givepowerup 0 ammo
		chr_givepowerup 0 ammo
		chr_givepowerup 0 ammo
		chr_givepowerup 0 ammo
		chr_givepowerup 0 ammo
		powerup_spawn ammo 12
		powerup_spawn ammo 12
		powerup_spawn ammo 12
		powerup_spawn ammo 12
		powerup_spawn ammo 12
		
		ai2_spawn A_T6
		chr_changeteam A_T6 Konoko
		chr_teleport A_T6 10
		chr_unkillable A_T6 1
		ai2_noncombatant A_T6 0
		if(no_re_forking eq 0)
		{
			fork nojumping
			fork miss_by_citi
			fork citi_forget_loop
		}
		spawn_mode1
		chr_teleport 0 12
		dmsg "Begin Play - Mode 2"
		dmsg "Save the Innocent (Tanker). Innocent vulnerable to weapons."
		dmsg "Weapon: Mercury Bow"
		dmsg "Difficulty: Moderately Easy"
		sleep 2
	}

	if (my_save_point eq 2)
	{
		chr_giveweapon 0 w3_phr
		chr_givepowerup 0 cell
		chr_givepowerup 0 cell
		chr_givepowerup 0 cell
		chr_givepowerup 0 cell
		chr_givepowerup 0 cell
		chr_givepowerup 0 cell
		powerup_spawn cell 12
		powerup_spawn cell 12
		powerup_spawn cell 12
		powerup_spawn cell 12
		
		ai2_spawn A_T6
		chr_changeteam A_T6 Konoko
		chr_teleport A_T6 10
		chr_unkillable A_T6 1
		ai2_noncombatant A_T6 0
		if(no_re_forking eq 0)
		{
			fork nojumping
			fork miss_by_citi
			fork citi_forget_loop
		}
		spawn_mode1
		chr_teleport 0 12
		dmsg "Begin Play - Mode 3"
		dmsg "Save the Innocent (Tanker). Innocent vulnerable to weapons."
		dmsg "Weapon: Plasma Rifle"
		dmsg "Difficulty: Medium"
		sleep 2
	}

	if (my_save_point eq 3)
	{
		chr_giveweapon 0 w8_mbo
		chr_unkillable 0 1
		chr_unkillable IntroNinja 1
		chr_invincible IntroNinja 1
		chr_teleport IntroNinja 12
		ai2_attack IntroNinja 0
		spawn_mode4
		chr_teleport 0 12
		if(no_re_forking eq 0)
		{
			fork nojumping
			fork die_on_no_ammo
		}
		dmsg "Begin Play - Mode 4"
		dmsg "Dodge the ninja, kill both enemies."
		dmsg "Weapon: Mercury Bow"
		dmsg "Difficulty: Hard"
		sleep 2
	}

	if (my_save_point eq 4)
	{
		chr_giveweapon 0 w3_phr
		chr_givepowerup 0 cell
		chr_givepowerup 0 cell
		chr_givepowerup 0 cell
		chr_givepowerup 0 cell
		chr_givepowerup 0 cell
		chr_givepowerup 0 cell
		powerup_spawn cell 12
		powerup_spawn cell 12
		powerup_spawn cell 12
		powerup_spawn cell 12
		powerup_spawn cell 12
		powerup_spawn cell 12
		powerup_spawn cell 12
		powerup_spawn cell 12
		powerup_spawn cell 12
		powerup_spawn cell 12
		powerup_spawn cell 12
		powerup_spawn cell 12
		chr_teleport 0 12
		if(no_re_forking eq 0)
		{
			fork nojumping
			fork die_on_no_ammo
		}
		dmsg "Begin Play - Mode 5"
		dmsg "You have 30 seconds to kill 15 ducks."
		dmsg "Do not shoot the innocents (Tankers)."
		dmsg "Weapon: Equalizer"
		dmsg "Difficulty: Very Hard"
		sleep 10
		spawn5_ducks
		sleep 4
		spawn5_civis
		sleep 10
		timer_start 30 lose_by_timer
		fork heal_all
	}
}

func void you_lose(string ai_name)
{
	if (my_save_point ne 3)
	{
		#quick fix D:
		sleep 10
		dmsg "You are not allowed to fall to your doom!"
		sleep 10
		chr_teleport 0 12
		chr_full_health 0
		chr_giveweapon 0 w8_mbo
	}

	if (my_save_point eq 3)
	{
		dmsg "You lose."
		sleep 100
		confirm_replay
	}
}

func void you_win(int char_index)
{
	outro
	win
}

func void set_objective_1(string ai_name)
{
	dprint set_objective_1
	objective_set(1)
	target_set (7006,0.0)
}

func void set_objective_2(string ai_name)
{
	dprint set_objective_2
	objective_set(2)
	target_set (7006,0.0)
}

func void set_objective_3(string ai_name)
{
	dprint set_objective_3
	objective_set(3)
	target_set (7006,0.0)
}

###############################
#		music		 	#
###############################

func void music_first(void)
{
	sound_music_start mus_cool19 0.0
	sound_music_volume mus_cool19 0.75 3.0
#	stopped at tanker death or timer
}

func void music_first_timer(void)
{
	sleep 1800
	music_stop
}

func void music_gauntlet(void)
{
	sound_music_start mus_atm_cl12lp 0.0
	sound_music_volume mus_atm_cl12lp 0.75 3.0
#	this music stopped in t14
}

func void music_billboard(void)
{
	sound_music_start mus_low1 0.0
	sound_music_start mus_low1 0.75 3
#	this music stopped in ta2_54 script
}

func void music_battle(void)
{
	sound_music_start mus_fitec
#	this music stopped in outro
}

func void music_stop(void)
{
	dprint STOP_THE_MUSIC
	sound_music_stop mus_cool19
	sound_music_stop mus_atm_cl12lp
	sound_music_stop mus_low1
	sound_music_stop mus_fitec
}

###################
#	save game	#
###################

func void s1(string ai_name)
{
	dprint SAVEDGAME1	

	if (my_save_point ne 1)
	{
		save_game 1 autosave
	}
}

func void s2(string ai_name)
{
	dprint SAVEDGAME2	

	if (my_save_point ne 2)
	{
		save_game 2 autosave
	}
}

func void s3(string ai_name)
{
	dprint SAVEDGAME3	

	if (my_save_point ne 3)
	{
		save_game 3 autosave
	}
}

func void s4(string ai_name)
{
	dprint SAVEDGAME4	

	if (my_save_point ne 4)
	{
		save_game 4 autosave
	}
}

##########################
#	cut scene scripts  #
##########################

func void t12(string ai_name)
{
	dprint t12_elevator
	if (trigvolume_count(62) eq 0)
	{
		trigvolume_enable trigger_volume_12 0
		sleep 7
		trigvolume_corpse 62
		dprint delete_oldAI
		chr_delete B_R11
		chr_delete B_R12a
		chr_delete B_Sr10
		chr_delete B_Sr10a
		chr_delete B_T13
		chr_delete B_Sr12
		chr_delete B_N17
		chr_delete B_N18	
		chr_delete A_N8
		chr_delete A_T4
		chr_delete A_Sr3
		chr_delete C_N17
		chr_delete C_N18
		Elevator
		target_set(47,0.0)
		#ai2_spawn C_Sr15
		#ai2_spawn C_T16
		#ai2_spawn C_R55
		#ai2_spawn C_N57
	}
}

func void t17(string ai_name)
{
	dprint t17_KonokoZip
	if (chr_has_lsi(0))
	{
		KonokoZip
		chr_delete D_C19
		chr_delete D_C60
		chr_delete D_N25
		chr_delete D_R21
		chr_delete D_Sb20
		chr_delete D_Sb22
		chr_delete D_Sb23
		chr_delete D_Sr24
		chr_delete D_Sr26
		chr_delete D_Sr27
		chr_delete D_Sr38
		chr_delete D_T28
		set_objective_3
	}
}

func void t27(string ai_name)
{
	dprint t27_ElevatorFinalFight
	#ai2_spawn SuperNinja
#	Elevator cut scene
#	I'm backing him into a corner.  This isn't going to be pretty..."

	chr_teleport 0 96

}


###################
#	console	#
###################

#########################
#  trigger volume stuff #
#########################

func void t28(string ai_name)
{
	chr_wait_animtype char_0 Pickup_Object
	particle obj_zip create
}

func void runup(void)
{
	ai2_dopath B_Sr10 patrol_10z
	ai2_setjobstate B_Sr10
}

func void t1(string ai_name)
{
	dprint t1 
	ai2_dopath A_N1 patrol_02
	ai2_setjobstate A_N1
	ai2_dopath IntroNinja patrol_40
	ai2_setjobstate IntroNinja
	if (strike1b eq 1)
	{	
		dprint strike1b
		ai2_dopath A_Sr9 patrol_09
		ai2_setjobstate A_Sr9
	}
	sleep 300
	if (ninja1 ne 0)
	{
		dprint ninja1_failed_trying_again
		ai2_dopath IntroNinja patrol_40
		ai2_setjobstate IntroNinja
	}

	if (ninja2 ne 0)
	{
		dprint ninja2_failed_trying_again
		ai2_dopath A_N1 patrol_02
		ai2_setjobstate A_N1
	}
}

func void patrolscript0001(string ai_name)
{
	dprint patrolscript0001_t1
	playback_block IntroNinja ninja_jump5 interp 30
#	ai2_makeignoreplayer A_N1 0
}

func void patrolscript0002(string ai_name)
{
	dprint patrolscript0002_t1
	playback_block A_N1 ninja_jump interp 30
#	ai2_makeignoreplayer A_N1 0
}

func void t2(string ai_name)
{
	dprint t2
	trigvolume_enable trigger_volume_03 0
	#ai2_spawn A_C5
}

func void t3(string ai_name)
{
	dprint t3
	trigvolume_enable trigger_volume_02 0
	#ai2_spawn A_Sr3
}

func void t4(string ai_name)
{
	dprint t4	
	trigvolume_enable trigger_volume_05 0
	#ai2_spawn A_T6 Do not spawn
	chr_delete A_Sr9
	chr_delete A_N1
	chr_delete IntroNinja

}

func void patrolscript0004(string ai_name)
{
	dprint patrolscript0004	
	playback_block A_T6 tanker2 interp 20

}

func void t5(string ai_name)
{
	dprint t5	
	trigvolume_enable trigger_volume_04 0
	#ai2_spawn A_T4
	chr_delete A_Sr9
	chr_delete A_N1
	chr_delete IntroNinja

}

func void patrolscript0005(string ai_name)
{
	dprint patrolscript0005	
	playback_block A_T4 tanker1 interp 20

}

func void t6(string ai_name)
{
	dprint t6
	#ai2_spawn A_N7
	trigvolume_enable trigger_volume_07_copy 0

}

func void t7(string ai_name)
{
	dprint t7
	#ai2_spawn A_N8
	trigvolume_enable trigger_volume_06 0
}

func void t8(string ai_name)
{
	dprint t8
	#ai2_spawn B_Sr10
	#ai2_spawn B_Sr10a
	#ai2_spawn B_R11
	#ai2_spawn B_R12a
	#ai2_dopath A_T6 patrol_42
	#ai2_setjobstate A_T6
	#ai2_dopath A_T4 patrol_42
	#ai2_setjobstate A_T4
#	#ai2_dopath A_Sr3 patrol_44
	#ai2_setjobstate A_Sr3
#	#ai2_dopath A_C5 patrol_44
	#ai2_setjobstate A_C5
	#ai2_dopath A_N7 patrol_45
	#ai2_setjobstate A_N7
	#ai2_dopath A_N8 patrol_45
	#ai2_setjobstate A_N8
}

func void t9(string ai_name)
{
	dprint t9
	#ai2_spawn E_N37
	ai2_makeignoreplayer E_N37 1
	playback_block E_N37 ninja_jump2
	ai2_makeignoreplayer E_N37 0
	ai2_attack E_N37 char_0
}

func void t10(string ai_name)
{
	dprint t10
	# "I lost him. Wait! There he is."
	sound_dialog_play c11_39_03konoko
	#ai2_spawn B_Sr12
	#ai2_spawn B_T13
	#ai2_spawn B_SuperNinja
	chr_boss_shield B_SuperNinja
	chr_unstoppable B_SuperNinja 1
	chr_neutral B_SuperNinja 1
	playback_block B_SuperNinja superninja1 interp 20
	sleep 60
	chr_delete B_SuperNinja

}

func void t11(string ai_name)
{
	dprint t11
	#ai2_spawn C_N17
	#ai2_spawn C_N18
	ai2_dopath B_T13 patrol_41
	ai2_setjobstate B_T13
}

func void patrolscript0011(string ai_name)
{
	dprint patrolscript0011
	playback_block B_T13 tanker_jump interp 30

}

func void t14(string ai_name)
{
	dprint t14
	music_stop
	target_set (1,0.0)
	chr_delete C_N57
	chr_delete C_Sr15
	chr_delete C_T16
	chr_delete C_R55
	ai2_dopath D_Sb20 patrol_35
	#ai2_spawn D_Sr38
	#ai2_spawn D_C60
}

func void patrolscript0014(string ai_name)
{
	dprint patrolscript0014	
	playback_block D_Sb20 striker_jump interp 20
}

func void t15(string ai_name)
{
	dprint t15
	#ai2_spawn E_N14
	#ai2_spawn E_N14a
	ai2_passive E_N14 1
	#ai2_passive E_N14a 1
	#ai2_spawn NinjaZip
	ai2_passive NinjaZip 1
	chr_unstoppable NinjaZip 1
	playback NinjaZip NinjaZipSet
	playback E_N14 Ninja02Set

}

#func void patrolscript0016(string ai_name)
#{
#	dprint patrolscript0016	
#	playback_block E_N14 LSIninja interp 20
#}

func void t18(string ai_name)
{
	dprint t18
	music_gauntlet
	#ai2_spawn D_C19
	#ai2_spawn D_Sb20
	#ai2_spawn D_R21
	#ai2_spawn D_Sb22
	#ai2_spawn D_Sb23
	#ai2_spawn D_Sr24
}

func void t19(string ai_name)
{
	dprint t19
	music_billboard
	#ai2_spawn D_N25
	#ai2_spawn C_R61
}

func void t20(string ai_name)
{
	dprint t20
	music_stop
	#ai2_spawn D_Sr26
	#ai2_spawn D_Sr27
	#ai2_spawn D_T28
}

func void cantescape_dialog(void)
{
	sleep 120
	# "He can't escape me. But why?"
	sound_dialog_play c11_39_04konoko
}

func void t21(string ai_name)
{
	dprint t21_E_SuperNinja
	fork cantescape_dialog
	#ai2_spawn E_N29
	#ai2_spawn E_Sb31
	#ai2_spawn E_Sr63
	#ai2_spawn E_Sr64
	#ai2_spawn E_R65
	#ai2_spawn E_SuperNinja
	#chr_boss_shield E_SuperNinja
	#chr_unstoppable E_SuperNinja
	playback_block E_SuperNinja superninja2 interp 20
	sleep 60
	chr_delete E_SuperNinja

}

func void t22(string ai_name)
{
	dprint t22
	ai2_dopath IntroNinja patrol_39
	ai2_setjobstate IntroNinja

}

func void patrolscript0022(string ai_name)
{
	dprint patrolscript0022
	playback_block IntroNinja ninja_jump4 interp 20

}

func void t23(string ai_name)
{
	dprint t23
	#ai2_spawn E_Sr30

}

func void t24(string ai_name)
{
	dprint t24
	# "He knows I can feel him. That we are... rivals? Natural enemies?"
	sound_dialog_play c11_39_08konoko
	#ai2_spawn E_R32
	#ai2_dopath E_Sr33 patrol_34
	#ai2_setjobstate E_Sr33
}

func void t25(string ai_name)
{
	dprint t25
	#ai2_spawn E_Sr33
	#ai2_dopath E_Sr30 patrol_34
	#ai2_setjobstate E_Sr30
}

func void t29(string ai_name)
{
	dprint t29
	# "There's something familar about him, I can't quite place it."
	sound_dialog_play c11_39_05konoko
}

func void t30(string ai_name)
{
	dprint t30_D_SuperNinja
	# "Where... ? Ah! Over there!"
	sound_dialog_play c11_39_01konoko
	#ai2_spawn D_SuperNinja
	#chr_boss_shield D_SuperNinja
	#chr_unstoppable D_SuperNinja 1
	#playback_block D_SuperNinja superninja1b interp 20
	sleep 60
	#chr_delete D_SuperNinja

}

func void t31(string ai_name)
{
	dprint t31
	#ai2_spawn A_N43
}

func void t32in(string ai_name)
{
	dprint t32in
	ninja1 = ninja1 + 1
}

func void t32out(string ai_name)
{
	dprint t32out
	ninja1 = ninja1 - 1
}

func void t33in(string ai_name)
{
	dprint t33in
	ninja2 = ninja2 + 1
}

func void t33out(string ai_name)
{
	dprint t33out
	ninja2 = ninja2 - 1
}

func void ninja1_die(string ai_name)
{
	dprint ninja1_die
	ninja1 = 0
}

func void ninja2_die(string ai_name)
{
	dprint ninja2_die
	ninja2 = 0
}

func void t57(string ai_name)
{
	dprint t57
	strike1=1
	sleep 120
	if (strike1 eq 1)
	{
		ai2_dopath A_Sr9 patrol_48
		ai2_setjobstate A_Sr9
	}
}

func void t57b(string ai_name)
{
	dprint t57b
	strike1=0
	strike1b=1
}


func void t58(string ai_name)
{
	dprint t58
	music_first
#	ai2_makeignoreplayer A_Sr9 1
#	ai2_makeignoreplayer A_N1 1
#	ai2_makeignoreplayer IntroNinja 1
	ai2_dopath A_Sr9 patrol_49
	ai2_setjobstate A_Sr9
	ai2_dopath A_N1 patrol_50
	ai2_setjobstate A_N1
	ai2_dopath IntroNinja patrol_51
	ai2_setjobstate IntroNinja
#	sleep 15
#	ai2_makeignoreplayer A_Sr9 0
#	ai2_makeignoreplayer A_N1 0
#	ai2_makeignoreplayer IntroNinja 0
	music_first_timer

}

func void t83(string ai_name)
{
	dprint checking
	go_hide =  go_hide + 1;
	if(trigvolume_count (83) ne 0)
	{
		dprint t83
		if(go_hide eq 0)
		{
			ai2_makeignoreplayer (ai_name,1)
			ai2_dopath (ai_name,patrol_13b)
			ai2_setjobstate (ai_name)
			ai2_forget (ai_name)
			sleep 60
			ai2_makeignoreplayer (ai_name,0)
		}
		if(go_hide eq 1)
		{
			ai2_makeignoreplayer (ai_name,1)
			ai2_dopath (ai_name,patrol_12b) 
			ai2_setjobstate (ai_name)
			ai2_forget (ai_name)
			sleep 60
			ai2_makeignoreplayer (ai_name,0)
		}
	}
}

func void t83b(string ai_name)
{
	dprint t83B
	go_hide =  go_hide - 1;
}

func void t84(string ai_name)
{
	dprint checking
	go_hide2 =  go_hide2 + 1;
	sleep 60
	if(trigvolume_count (84) ne 0)
	{
		dprint t84
		if(go_hide2 eq 0)
		{
			ai2_makeignoreplayer (ai_name,1)
			ai2_dopath (ai_name,patrol_69)
			ai2_setjobstate (ai_name)
			ai2_forget (ai_name)
			sleep 60
			ai2_makeignoreplayer (ai_name,0)
		}
		if(go_hide2 eq 1)
		{
			ai2_makeignoreplayer (ai_name,1)
			ai2_dopath (ai_name,patrol_70) 
			ai2_setjobstate (ai_name)
			ai2_forget (ai_name)
			sleep 60
			ai2_makeignoreplayer (ai_name,0)
		}
		if(go_hide2 eq 2)
		{
			ai2_makeignoreplayer (ai_name,1)
			ai2_dopath (ai_name,patrol_71) 
			ai2_setjobstate (ai_name)
			ai2_forget (ai_name)
			sleep 60
			ai2_makeignoreplayer (ai_name,0)
		}
	}
}

func void t84b(string ai_name)
{
	dprint t84B
	go_hide2 =  go_hide2 - 1;
}

func void t85(string ai_name)
{
	dprint t85
	#ai2_spawn sbg_ninja
}
func void t59(string ai_name)
{
	dprint t59
	strike2=1
	sleep 120
	if (strike2 eq 1)
	{
		ai2_dopath A_Sr3 patrol_52
		ai2_setjobstate A_Sr3
		ai2_dopath A_C5 patrol_52
		ai2_setjobstate A_C5
	}
}

func void t59b(string ai_name)
{
	dprint t59b
	strike2=0
}

func void t60(string ai_name)
{
	dprint t60
	strike3=1
	sleep 120
	if (strike3 eq 1)
	{
		ai2_dopath B_Sr12 patrol_53
		ai2_setjobstate B_Sr12
	}
}

func void t60b(string ai_name)
{
	dprint t60b
	strike3=0
}

func void t63(string ai_name)
{
	if (trigvolume_count(64) eq 0)
	{
		trigvolume_enable trigger_volume_63 0
		dprint t63
		chr_delete E_R32
		chr_delete E_Sr33
		chr_delete E_Sr30
		door_unlock 6
	}
}

func void t65(string ai_name)
{
	dprint t65
	chr_teleport C_R55 7013
	ai2_dopath C_R55 patrol_56
	ai2_setjobstate C_R55
}

func void t77(string ai_name)
{
	dprint t77
	ai2_dopath D_R21 patrol_58
}

func void t78(string ai_name)
{
	dprint t78
	ai2_dopath D_R21 patrol_59
}

func void minus_invading_counter(string ai_name)
{
	invading_counter = invading_counter - 1

	if (invading_counter eq 0)
	{
		invading_dialog();
	}
}

func void invading_dialog(void)
{
	invading_counter = 0;
	trigvolume_enable trigger_volume_95 0

	sleep 90
	# "It's like this is his territory, and I'm invading."
	sound_dialog_play c11_39_06konoko
}

func void t95(string ai_name)
{
	dprint t95

	invading_dialog();
}

func void t96(string ai_name)
{
	dprint t96
	# "He's... angry! I can _taste_ his frustration."
	sound_dialog_play c11_39_07konoko
}

func void patrolscript0077(string ai_name)
{
	dprint 0077
	ai2_dopath D_R21 patrol_21
	ai2_setjobstate D_R21
}

func void t80(string ai_name)
{
	dprint t78
	#ai2_spawn E_C62
	#playback E_C62 com
	
}

