######################
# ONI TEAM ARENA 1.1 #
######################
# arena_main.bsl for tctf
######################
var int arena_area= 0; var int arena_players; var int arena_spawn_id;
var int arena_scoring;
################ ARENA STARTUP
func void main(void) {
	fork super_kick
    fork super_punch
    fork left_kick
    fork right_kick
	ArenaSetupLevel();
######## MISC SETUP
	chr_auto_aim_dist= 0; ui_suppress_prompt= 1;
#	ai2_showlinetochar= 1;
######## ADVANCED SETTINGS
	arena_menu_active= 0; chr_draw_all_characters= 1;
######## LAUNCH RANDOMIZER
	fork RandInit(); sleep 1;
######## LAUNCH GAME PROCESSES
	fork ArenaWelcome(); fork ArenaMusic();
	ArenaResetFlags(); 
	ArenaResetWeapons(); 
	ArenaResetScore();
	fork ArenaSetupTeams(); 
	
}
######## RESPAWN LOGIC (CORE)
func void RespawnPlayer(string ai_team, string ai_name, string ai_nick) {
	if(chr_is_player(ai_name)) RandMusic();
	chr_invincible(ai_name, 1); chr_full_health(ai_name);
	fork SendToRandFlag(ai_name, ai_team);
	ai2_idle(ai_name); sleep 1; ai2_setjobstate(ai_name);
	chr_inv_reset(ai_name);
	fork GiveRandWeapon(ai_name);
	fork GiveRandPowerups(ai_name);
	ai2_setalert(ai_name, high); ai2_setmovementmode(ai_name, run);
	fork ArenaAwareness();
	sleep 30; chr_invincible(ai_name, 0);

	chr_wait_health(ai_name, 1); chr_pain(ai_name, death);
	if(arena_scoring) fork Death(ai_team, ai_name, ai_nick);
	chr_inv_reset(ai_name); chr_givepowerup(ai_name, invis, -1);
	chr_changeteam(ai_name, Switzerland);
	sleep 60; chr_changeteam(ai_name, ai_team);
	fork RespawnPlayer(ai_team, ai_name, ai_nick);
}
func void AddPlayer(string ai_team, string ai_name, string ai_nick) {
	dmsg(ai_nick); dmsg("entered the arena");
	ai2_spawn(ai_name); chr_changeteam(ai_name, ai_team);
	arena_players= arena_players + 1;
	ai2_noncombatant(ai_name, 0); chr_unkillable(ai_name, 1);
	fork RespawnPlayer(ai_team, ai_name, ai_nick);
}
#################################### ARENA RESET
######## CYCLING AREAS (CUSTOM)
func void ArenaNextArea(void) {
	arena_area= arena_area + 1; if(arena_area > 2) arena_area= 0;
	if(arena_area eq 0) dmsg "[b.ARENA 0] : [r.SHATTERED GLASS]"
	sleep 60
	if(arena_area eq 1) dmsg "[b.ARENA 1] : [g.CRASH N' BURN]"
	sleep 60
	if(arena_area eq 2) dmsg "[b.ARENA 2] : [b.DAMOCLES]"
	sleep 60
}
######## KILLS EVERYBODY WITH AN ID GREATER THAN arena_spawn_id
func void ArenaKillPlayerSeq(void) {
	chr_health(arena_spawn_id, 1);
	sleep 1; arena_spawn_id= arena_spawn_id + 1;
	if(arena_spawn_id < arena_players) fork ArenaKillPlayerSeq();
	else ArenaResetScore();
}

func ArenaKillAllPlayers {
#For Konoko, we could also use her script ID, 0
chr_set_health char_0 1
sleep 180
sleep 1; chr_set_health a_t05 1
sleep 1; chr_set_health a_t01 1
sleep 1; chr_set_health l4_t1 1
sleep 1; chr_set_health s2_t05 1
sleep 1; chr_set_health a_t02 1
sleep 1; chr_set_health AttackCivil01 1
sleep 1; chr_set_health barabus 1
sleep 1; chr_set_health mbo_target 1
sleep 1; chr_set_health IntroStriker02 1
sleep 1; chr_set_health garage_striker_01 1
sleep 1; chr_set_health l2_s44 1
sleep 1; chr_set_health l_s24 1
sleep 1; chr_set_health a_tank1 1
sleep 1; chr_set_health sh_s4 1
sleep 1; chr_set_health sh_red1 1
sleep 1; chr_set_health l_c01 1
sleep 1; chr_set_health lobby_victim 1
sleep 1; chr_set_health a_v4 1
sleep 1; chr_set_health a_v1 1
ArenaResetScore();
}

######## ARENA RESET
func void ArenaReset(int next_area) {
	dmsg " "
	if(next_area) ArenaNextArea()
	else dmsg " "
	ArenaResetLevel(); ArenaResetWeapons(); ArenaResetFlags();
	ai2_allpassive(0); arena_scoring= 0;
	arena_spawn_id= 0; fork ArenaKillAllPlayers
	dmsg "FIGHT!"
}

func super_kick(void) {
chr_wait_animation 0 KONCOMcomb_k_k
chr_animate 0 KONCOMcomb_k_k_kfw
sleep 50
fork super_kick
}

func super_punch(void) {
chr_wait_animation 0 KONCOMcomb_p_p
chr_animate 0 KONCOMsuper_punch
sleep 50
fork super_punch
}

func left_kick(void) {
chr_wait_animation 0 KONCOMkick_lt
chr_animate 0 KONCOMrt_fw_kick
sleep 50
fork left_kick
}

func right_kick(void) {
chr_wait_animation 0 KONCOMkick_rt
chr_animate 0 KONCOMlt_fw_kick
sleep 50
fork right_kick
}

